import * as $dara from '@darabonba/typescript';
import { DescribePropertyPortDetailResponseBody } from "./DescribePropertyPortDetailResponseBody";
export declare class DescribePropertyPortDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribePropertyPortDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
